package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.CityGreening;
import com.lightinit.hsdatashow.entity.CityGreeningExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import org.apache.ibatis.annotations.Param;

public interface CityGreeningMapper {
    long countByExample(CityGreeningExample example);

    int deleteByExample(CityGreeningExample example);

    int deleteByPrimaryKey(Long id);

    int insert(CityGreening record);

    int insertSelective(CityGreening record);

    List<CityGreening> selectByExample(CityGreeningExample example);

    CityGreening selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") CityGreening record, @Param("example") CityGreeningExample example);

    int updateByExample(@Param("record") CityGreening record, @Param("example") CityGreeningExample example);

    int updateByPrimaryKeySelective(CityGreening record);

    int updateByPrimaryKey(CityGreening record);

    List<ChartModel> getCityGreening();
}